【已解决】2.0.5 到 2.1.3 跨版本升级前的兼容性测试,尝试多种方式 FE 启动不成功

Viewed 64

背景:

1、升级前生产和测试环境的版本为2.0.5

操作流程:

1、先将生产的doris_meta文件夹压缩打包,传到测试环境上(生产有多个不同的catalog,例如:hive,es,mysql)
2、然后将2.1.3版本包传到测试环境,命名为fe_upgrade文件夹,然后将doris_meta解压放到新的部署目录下
3、然后将测试环境的配置文件拷贝到新目录的conf下,修改对应的DORIS_HOME为绝对路径
4、尝试启动,发现不成功,报错如下:

image.png

尝试处理:

1、因为是hive的catalog问题,所以将生产单独另加的依赖包也拷贝到新部署目录的lib下,不成功,报错一样
2、将生产的conf下的core-site.xml和hdfs-site.xml覆盖原目录下的测试环境的文件,不成功,报错一样
3、将生产整个conf打包到新的目录下进行测试(会修改fe.conf信息),待尝试
4、生产整个fe进行压缩下载,然后替换bin和lib进行测试,待尝试

补充

经测试3、4都不行,一样的报错

1 Answers